# Interface PileupIterator

All Superinterfaces:
  `Pileup, PileupEvent, PileupEventIterator`

public interface PileupIterator extends Pileup
Iterates across a list of Pileups

## Field Summary

### Fields inherited from interface PileupEvent

`alignment_minus_strand, alignment_start, alignment_stop, deletion, insertion, insertion_before_deletion, insertion_before_match, insertion_before_mismatch, intron_minus, intron_plus, intron_unknown, match, mismatch, normal_indel, read_gap, read_overlap, replacement`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`nextPileup()`
Advance to first Pileup on initial invocation advance to next Pileup subsequently

### Methods inherited from interface Pileup

`getPileupDepth, getReferenceBase, getReferencePosition, getReferenceSpec`

### Methods inherited from interface PileupEvent

`getAlignmentBase, getAlignmentId, getAlignmentPosition, getAlignmentQuality, getEventIndelType, getEventRepeatCount, getEventType, getFirstAlignmentPosition, getInsertionBases, getInsertionQualities, getLastAlignmentPosition, getMappingQuality`

### Methods inherited from interface PileupEventIterator

`nextPileupEvent, resetPileupEvent`

## Method Details

### nextPileup

boolean nextPileup() throws ErrorMsg
Advance to first Pileup on initial invocation advance to next Pileup subsequently

Returns:
  false if no more Pileups are available.
Throws:
  `ErrorMsg` - if more Pileups should be available, but could not be accessed.